Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# CDR_Stream.h File Reference

`#include "ace/pre.h"`
`#include "ace/CDR_Base.h"`
`#include "ace/Message_Block.h"`
`#include "ace/post.h"`

Include dependency graph for CDR_Stream.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Char_Codeset_Translator
class | ACE_InputCDR
class | ACE_OutputCDR
class | ACE_WChar_Codeset_Translator
struct | ACE_OutputCDR::from_boolean
struct | ACE_OutputCDR::from_char
struct | ACE_OutputCDR::from_octet
struct | ACE_OutputCDR::from_string
struct | ACE_OutputCDR::from_wchar
struct | ACE_OutputCDR::from_wstring
struct | ACE_InputCDR::to_boolean
struct | ACE_InputCDR::to_char
struct | ACE_InputCDR::to_octet
struct | ACE_InputCDR::to_string
struct | ACE_InputCDR::to_wchar
struct | ACE_InputCDR::to_wstring
struct | ACE_InputCDR::Transfer_Contents
## Functions
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Char x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Short x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::UShort x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Long x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::ULong x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Float x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Double x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_boolean x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_char x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_wchar x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_octet x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_string x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_wstring x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, const ACE_CDR::Char* x)
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, const ACE_CDR::WChar* x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Char &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Short &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::UShort &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Long &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::ULong &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::LongLong &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::ULongLong &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::LongDouble &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Float &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Double &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_boolean x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_char x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_wchar x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_octet x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_string x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_wstring x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Char*& x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::WChar*& x)

## Detailed Description

CDR_Stream.h,v 1.60 2001/08/17 22:20:03 parsons Exp

ACE Common Data Representation (CDR) marshaling and demarshaling classes.

This implementation was inspired in the CDR class in SunSoft's IIOP engine, but has a completely different implementation and a different interface too.

The current implementation assumes that the host has 1-byte, 2-byte and 4-byte integral types, and that it has single precision and double precision IEEE floats. Those assumptions are pretty good these days, with Crays beign the only known exception.

Author(s):
  TAO version by , Aniruddha Gokhale <gokhale@cs.wustl.edu> , Carlos O'Ryan<coryan@cs.wustl.edu> , ACE version by , Jeff Parsons <parsons@cs.wustl.edu> , Istvan Buki <istvan.buki@euronet.be> , Codeset translation by , Jim Rogers <jrogers@viasoft.com>

## Function Documentation

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| const ACE_CDR::WChar * x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| const ACE_CDR::Char * x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_OutputCDR::from_wstring x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_OutputCDR::from_string x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_OutputCDR::from_octet x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_OutputCDR::from_wchar x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_OutputCDR::from_char x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_OutputCDR::from_boolean x )

ACE_Export ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_CDR::Double x )

ACE_Export ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_CDR::Float x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_CDR::ULong x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_CDR::Long x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_CDR::UShort x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_CDR::Short x )

ACE_INLINE ACE_CDR::Boolean operator<< ( | ACE_OutputCDR & os,
| ACE_CDR:: Double )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::WChar *& x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::Char *& x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_InputCDR::to_wstring x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_InputCDR::to_string x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_InputCDR::to_octet x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_InputCDR::to_wchar x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_InputCDR::to_char x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_InputCDR::to_boolean x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::Double & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::Float & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::LongDouble & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::ULongLong & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::LongLong & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::ULong & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::Long & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::UShort & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::Short & x )

ACE_INLINE ACE_CDR::Boolean operator>> ( | ACE_InputCDR & is,
| ACE_CDR::Char & x )